Loading...
Searching...
No Matches
L4 VIRTIO Block Device
L4 VIRTIO Interface
Collaboration diagram for L4 VIRTIO Block Device:

## Data Structures

struct | l4virtio_block_header_t
| Header structure of a request for a block device. More...
struct | l4virtio_block_discard_t
| Structure used for the write zeroes and discard commands. More...
struct | l4virtio_block_config_t
| Device configuration for block devices. More...

## Typedefs

typedef struct l4virtio_block_header_t | l4virtio_block_header_t
| Header structure of a request for a block device.
typedef struct l4virtio_block_discard_t | l4virtio_block_discard_t
| Structure used for the write zeroes and discard commands.
typedef struct l4virtio_block_config_t | l4virtio_block_config_t
| Device configuration for block devices.

## Enumerations

enum | L4virtio_block_operations { L4VIRTIO_BLOCK_T_IN = 0 , L4VIRTIO_BLOCK_T_OUT = 1 , L4VIRTIO_BLOCK_T_FLUSH = 4 , L4VIRTIO_BLOCK_T_GET_ID = 8 , L4VIRTIO_BLOCK_T_DISCARD = 11 , L4VIRTIO_BLOCK_T_WRITE_ZEROES = 13 }
| Kinds of operation over a block device. More...
enum | L4virtio_block_status { L4VIRTIO_BLOCK_S_OK = 0 , L4VIRTIO_BLOCK_S_IOERR = 1 , L4VIRTIO_BLOCK_S_UNSUPP = 2 }
| Status of a finished block request. More...

## Detailed Description

## Enumeration Type Documentation

## L4virtio_block_operations

enum L4virtio_block_operations

Kinds of operation over a block device.

Enumerator
L4VIRTIO_BLOCK_T_IN | Read from device.
L4VIRTIO_BLOCK_T_OUT | Write to device.
L4VIRTIO_BLOCK_T_FLUSH | Flush data to disk.
L4VIRTIO_BLOCK_T_GET_ID | Get device ID.
L4VIRTIO_BLOCK_T_DISCARD | Discard a range of sectors.
L4VIRTIO_BLOCK_T_WRITE_ZEROES | Write zeroes to a range of sectors.

Definition at line 19 of file virtio_block.h.

## L4virtio_block_status

enum L4virtio_block_status

Status of a finished block request.

Enumerator
L4VIRTIO_BLOCK_S_OK | Request finished successfully.
L4VIRTIO_BLOCK_S_IOERR | IO error on device.
L4VIRTIO_BLOCK_S_UNSUPP | Operation is not supported.

Definition at line 32 of file virtio_block.h.